Description

I recently raised the question how to deal with unmaintained plugins on the developer mailing-list:

http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-Find-unmaintained-plugins-td5393747i20.html

Some plugins have a lot of open issues or pull requests but there is no reaction from the maintainer.

I made the experience that buggy unmaintained plugins can cause a lot of frustration to users and that problems caused by such plugins

are also very bad for the reputation of qgis.

Most of the users (and also for example the deciders in a company) won't differentiate between qgis ("core") and the plugins which are

distributed over the official(!) repository . From their point of view it is not a specific plugin but qgis itself what's buggy.)

My idea was:

    -  to check every year if a plugin is still maintained. Therefore an email could be sent to the maintainer which contains a confirmation

link.

    -  If there is no reaction from the maintainer the plugin could be flagged as unmaintainded

The topic is being controversially discussed on the mailing-list. Some ideas were:

    -  sending several reminders to a plugin author over a certain time period (3 month?)

    -  having the possibility to flag a plugin as unmaintained (like stackoverflows "needs moderator attention") where it's required to post a

link to an issue which has not received an answer in a long time

    -  there should be some mechanism to overtake a unmaintained plugin

    -  evaluate how many bugs were found, closed or stay open since xxx (note: probably hard to evaluate because there are different

places where issues are tracked (github, gitlab, ...)

    -  it's hard to seperate useful plugins from "bad" ones just by looking at the rating (many user don't rate and there is no negative rating)

    -  no activity =/= unmaintained. sometimes no activity just means bug free and feature complete. In this case developers just proof that

the plugin is still maintained if they click the confirmation-link

    -  unmaintained plugins can still be useful to lots of people (note: they could still be used as they would still be listed as available

plugins. why not communicate that the plugin is not maintained anymore and let the user decide if he want's to use a unmaintained plugin)

    -  use the GUI to invite users to become maintainers (adopting unmaintained plugins)

    -  some plugins are not especially useful even if they are actively maintained 

    -  "maintained" does not mean "bug-free" 

    -   allow comments in the repo http://plugins.qgis.org (always with mandatory info about version of plugin, OS, etc.).

expressed concerns:

    -  trying not to discourage developers ( note: the only thing a maintainer would have to do in order not to get a unmaintained flag would

be clicking on one confirmation link per year for his plugin)

    -  not sure if flagging plugins as unmaintained is always so nice (note: see note above. my opinion: buggy unmaintained plugins can

cause a lot of frustration to users.I think it's just fair to inform the user if a plugin is still maintained or not. If the maintainer does not want to
respond or does not find the time to click the link than I guess it just reflects the fact that the plugin isn't maintained by this person

anymore.not letting users know that a plugin is not maintained anymore could also be seen as not nice)

    -  useful plugins could disappear (note: probably a misunderstanding because the flagged plugins would not disapear from the list of

available plugins)

History

#1 - 2019-02-07 11:31 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

This tracker is to be used for bugs and feature requests related to the QGIS applicatiion.

#2 - 2019-02-07 09:37 PM - Thomas Baumann

Feb 02, 2019; 8:30am Re: Find unmaintained plugins

pcav

In reply to this post by Thomas_Baumann

Thanks for your offer of help. I agree that the mail should be sent only 

for plugins not updated in the last (3? 6? 9?) months. 

Could you please start filling up a ticket on 

https://issues.qgis.org/issues

so we can define specs resulting from this thread and start implementing it? 

Cheers.

On 01/02/19 22:40, Thomas Baumann wrote:

Hi Paolo,

sounds like a good idea to send a reminder once a year to the maintainer 

and mark plugins as unmaintained if no feedback is received.

I am available to help implementing it.

Regards, 

Thomas

#3 - 2019-02-08 12:11 PM - Giovanni Manghi

Thomas Baumann wrote:

Feb 02, 2019; 8:30am Re: Find unmaintained plugins

pcav
In reply to this post by Thomas_Baumann

Thanks for your offer of help. I agree that the mail should be sent only 

for plugins not updated in the last (3? 6? 9?) months. 

Could you please start filling up a ticket on 

https://issues.qgis.org/issues

so we can define specs resulting from this thread and start implementing it? 

Cheers.

it does not means he was right to suggest you file a ticket here. This tracker is about problems/feature requests about the QGIS Desktop/Server

applications.

This tracker https://issues.qgis.org/projects/qgis-django is also not appropriate to me, as is about problems about the plugins web site, and not about the

plugins.

I don't think this matter fits any tracker we have.

#4 - 2019-02-08 12:28 PM - Paolo Cavallini

An alternative, as mentioned in the mailing list, would be to open a QEP

#5 - 2019-02-08 01:17 PM - Thomas Baumann

done: https://github.com/qgis/QGIS-Enhancement-Proposals/issues/138

Could someone delete this issue here?
